at.chipkarte.client.rez.soap

## Class Adressdaten

- Object
- - at.chipkarte.client.rez.soap.Adressdaten

-     public class Adressdaten
      extends Object

  Dient der Ein- und Ausgabe der Daten von Adressdaten. Wird das Objekt angegeben, müssen alle Felder angegeben werden.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Adressdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOrt()` Ort.
    `String` | `getPostleitzahl()` PLZ - Postleitzahl.
    `String` | `getStaatencode()` Staatencode nach dem ISO Alpha 2 Kürzel. z.B.: AT für Österreich.
    `String` | `getStrasse()` Straße inklusive Haus-/ Türnummer.
    `void` | `setOrt(String ort)`
    `void` | `setPostleitzahl(String postleitzahl)`
    `void` | `setStaatencode(String staatencode)`
    `void` | `setStrasse(String strasse)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Adressdaten

          public Adressdaten()

  - ### Method Detail

    - #### getOrt

          public String getOrt()

      Ort.
      Format: maximal 40-Zeichen.
      Angabe: Muss.
      Returns:
        Ort.

    - #### setOrt

          public void setOrt(String ort)

    - #### getPostleitzahl

          public String getPostleitzahl()

      PLZ - Postleitzahl.
      Format: 3 bis 9 Zeichen.
      Angabe: Muss.
      Returns:
        Postleitzahl

    - #### setPostleitzahl

          public void setPostleitzahl(String postleitzahl)

    - #### getStrasse

          public String getStrasse()

      Straße inklusive Haus-/ Türnummer.
      Format: maximal 60-Zeichen.
      Angabe: Muss.
      Returns:
        Straße

    - #### setStrasse

          public void setStrasse(String strasse)

    - #### getStaatencode

          public String getStaatencode()

      Staatencode nach dem ISO Alpha 2 Kürzel. z.B.: AT für Österreich.
      Mögliche Werte siehe `getStaatenISO3166alpha2`.
      Angabe: Muss.
      Wertebereich: Darf nicht "AA" sein.
      Returns:
        Staatencode.

    - #### setStaatencode

          public void setStaatencode(String staatencode)